# PRFC1155_SimpleSyntax Class Reference

`#include <rfc1155.h>`

Inheritance diagram for PRFC1155_SimpleSyntax:

List of all members.

## Public Types

| e_number = 2
| e_string = 4
| e_object = 6
| e_empty = 5
enum | Choices { e_number = 2, e_string = 4, e_object = 6, e_empty = 5 }

## Public Member Functions

| PRFC1155_SimpleSyntax (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const
| Create a copy of the class on the heap.

## Member Enumeration Documentation

enum PRFC1155_SimpleSyntax::Choices

Enumerator:

  e_number |
  e_string |
  e_object |
  e_empty |

## Constructor & Destructor Documentation

PRFC1155_SimpleSyntax::PRFC1155_SimpleSyntax | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* PRFC1155_SimpleSyntax::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PObject.

PBoolean PRFC1155_SimpleSyntax::CreateObject | ( |  | ) | `[virtual]`

Implements PASN_Choice.

The documentation for this class was generated from the following file:

- rfc1155.h